Subject: RE: [rohc] draft-kapoor-rohc-profiles-reordering-01

From: "Kapoor, Rohit" <[email-masked]>
Date: Mon, 30 Oct 2006 10:13:29 -0800

Biplab,

Please find some comments below.

________________________________

From: Sarkar, Biplab [mailto:[email-masked]] 
Sent: Thursday, October 26, 2006 8:14 AM
To: Kapoor, Rohit
Cc: [email-masked]
Subject: RE: [rohc] draft-kapoor-rohc-profiles-reordering-01 

Rohit,

I have gone through the document. I have a few comments.

[1] The section 2 needs to define that "k = bits(SN)". This is not captured in the document.

<Rohit> I am guessing you mean Section 5 here. We will add this.

[2] In the definition of the re-ordering ratio, one has to capture the minimum value of "k", As the value of 'p' needs to be an integer.

So, 

O: REORDERING_NONE; p = -1

1: REORDERING_QUATER; p = (2^k /4) -1 = 2^(k -2) -1 where k> 2

2: REORDERING_HALF; p = (2^k /2) -1 = 2^(k-1) -1 where k > 1

3: REORDERING_THREEQUATER; p = 2^k * ¾ -1 = 3*2^(k-2) - 1 where k > 2

<Rohit> We can add this too, even though in the packets defined in RFC 3095, k for SN in compressed packets is always at least 4, so these conditions are met.

[3] Looking at the above condition, one has to do some change at the compressors too. Because of re-ordering, the compressor will have to send a context updating packet for shifting "v_ref" well ahead of time. The context updating packets might also reach out-of-order. I believe the document needs to capture this modified logic of the compressor too. 

<Rohit> I think this comment applies in general to any control field that may be transmitted in the IR packets, even if there is no reordering. Even in the absence of reordering, all packets carrying a particular field (such as TS_STRIDE) can be lost. Thus, it is up to the compressor to send enough packets to handle such cases of dropped/reordered packets. I don't think this really amounts to modified logic.

If it helps, we can add a line to emphasize that in the presence of reordering, the compressor should have enough confidence that one of the IR packets (carrying the 'p' value among other fields) should have reached, before transitioning to higher order states.

Hope that covers your comment.

Thanks,

Rohit

Thanks

Biplab

-----Original Message-----
From: Kapoor, Rohit [mailto:[email-masked]] 
Sent: Thursday, October 26, 2006 5:13 AM
To: [email-masked]
Subject: [rohc] draft-kapoor-rohc-profiles-reordering-01 

RoHCers,

draft-kapoor-rohc-profiles-reordering-01 can be found at http://www.ietf.org/internet-drafts/draft-kapoor-rohc-profiles-reordering-01.txt. 

The revision contains the following changes from 00:

-- Comment received on v00 (regarding position of CRC) has been addressed.

-- Section on Applicability Statement has been added.

Thanks,

Rohit

"This email message and any attachments are confidential information of Starent Networks, Corp. The information transmitted may not be used to create or change any contractual obligations of Starent Networks, Corp. Any review, retransmission, dissemination or other use of, or taking of any action in reliance upon this e-mail and its attachments by persons or entities other than the intended recipient is prohibited. If you are not the intended recipient, please notify the sender immediately -- by replying to this message or by sending an email to [email-masked] -- and destroy all copies of this message and any attachments without reading or disclosing their contents. Thank you."

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc